Package com.massivecraft.factions.zcore.util

## Enum TagReplacer.TagType

- java.lang.Object
- - java.lang.Enum<TagReplacer.TagType>
  - - com.massivecraft.factions.zcore.util.TagReplacer.TagType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TagReplacer.TagType>`, `java.lang.constant.Constable`

Enclosing class:
  TagReplacer

    protected static enum TagReplacer.TagType
    extends java.lang.Enum<TagReplacer.TagType>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`FACTION` |
`FANCY` |
`GENERAL` |
`PLAYER` |

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int` | `id` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static TagReplacer.TagType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static TagReplacer.TagType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FANCY

    public static final TagReplacer.TagType FANCY

#### PLAYER

    public static final TagReplacer.TagType PLAYER

#### FACTION

    public static final TagReplacer.TagType FACTION

#### GENERAL

    public static final TagReplacer.TagType GENERAL

### Field Detail

#### id

    public int id

### Method Detail

#### values

    public static TagReplacer.TagType[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TagReplacer.TagType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null